#!/bin/bash

# base vars
IMAGE_FILE="steamcmd-latest.img"

echo "Building image steamcmd:latest"
podman build --no-cache --tag steamcmd:latest .
podman save localhost/steamcmd:latest > "${IMAGE_FILE}"
echo ""
echo "Wrote ${IMAGE_FILE}, cleaning up"
podman rmi steamcmd:latest
echo ""
echo "Attempting to compress the image (begin comforting music)"
xz --keep --compress -9 --extreme --threads="$(nproc)" "${IMAGE_FILE}"
echo ""
echo "Finished, (non)compressed images created:"
ls --color=auto -lah "${IMAGE_FILE}"*
